﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <telerik:RadGrid ID="telerikrid1" runat="server" DataSourceID="AccessDataSource1"
                    Width="95%" AutoGenerateColumns="False" PageSize="3" AllowSorting="True" AllowPaging="True"
                    GridLines="None" AllowAutomaticDeletes="True" OnItemDataBound="telerikrid1_ItemDataBound" OnPageIndexChanged="telerikrid1_PageIndexChanged">
                    <PagerStyle Mode="NumericPages"></PagerStyle>
                    <MasterTableView DataSourceID="AccessDataSource1" DataKeyNames="SupplierID" AllowMultiColumnSorting="True"
                        Width="100%">
                        <Columns>
                            <telerik:GridBoundColumn DataField="SupplierID" DataType="System.Int32" HeaderText="SupplierID"
                                ReadOnly="True" SortExpression="SupplierID" UniqueName="SupplierID">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName"
                                UniqueName="CompanyName">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="ContactName" HeaderText="ContactName" SortExpression="ContactName"
                                UniqueName="ContactName">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="ContactTitle" HeaderText="ContactTitle" SortExpression="ContactTitle"
                                UniqueName="ContactTitle">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Address" HeaderText="Address" SortExpression="Address"
                                UniqueName="Address">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Phone" HeaderText="Phone" SortExpression="Phone"
                                UniqueName="Phone">
                            </telerik:GridBoundColumn>
                            <telerik:GridBoundColumn DataField="Fax" HeaderText="Fax" SortExpression="Fax" UniqueName="Fax">
                            </telerik:GridBoundColumn>
                            <telerik:GridTemplateColumn UniqueName="AddProducts">
                                <ItemTemplate>
                                    <asp:HyperLink runat="server" NavigateUrl="#" Text="Add Products" ID="hlAddProducts">
                                    </asp:HyperLink>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="CompanyName"></telerik:GridSortExpression>
                        </SortExpressions>
                        <ExpandCollapseColumn>
                            <HeaderStyle Width="19px" />
                        </ExpandCollapseColumn>
                        <RowIndicatorColumn Visible="False">
                            <HeaderStyle Width="20px" />
                        </RowIndicatorColumn>
                    </MasterTableView>
                </telerik:RadGrid>
                <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="Nwind.mdb"
                    SelectCommand="SELECT * FROM [Suppliers]"></asp:AccessDataSource>
                <telerik:RadToolTipManager ID="RadToolTipManager1" runat="server" OnAjaxUpdate="RadToolTipManager1_AjaxUpdate"
                    RelativeTo="Element" Width="350px" Height="250px" Position="BottomLeft"
                    Title="Products" AutoTooltipify="false" AutoCloseDelay="10000">
                </telerik:RadToolTipManager>
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
</body>
</html>
